Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Interface ServerInterface

All Superinterfaces:
  ServerHandler

All Known Implementing Classes:
  httpd

public interface ServerInterface
extends ServerHandler

Method Summary
`boolean` | `checkFileSystemSensitivity()` Is the underlying file-system case sensitive ?
`void` | `checkpoint()` Checkpoint all cached data, by saving them to disk.
`void` | `errlog(Resource from, java.lang.String msg)` Another nice way of reporting errors from a Resource.
`java.io.File` | `getAuthDirectory()` Get this server authentication directory.
`int` | `getClientBufferSize()` Get the client's buffer size.
`boolean` | `getClientDebug()` Get the client's debug flags from the properties.
`boolean` | `getClientKeepConnection()` Does this server wants clients to try keeping connections alive ?
`int` | `getClientThreadPriority()` Get the client's threads priority from the properties.
`java.io.File` | `getConfigDirectory()` Get this server config directory.
`int` | `getConnectionTimeOut()` Get the connection allowed idle time from the properties.
`ResourceContext` | `getDefaultContext()` Get the default resource context for that server.
`java.lang.String` | `getDocumentationURL()` Get the full URL of Jigsaw's documentation.
`java.lang.String` | `getHost()` Get this server host name.
`java.io.File` | `getIndexerDirectory()`
`IndexersCatalog` | `getIndexersCatalog()`
`int` | `getLocalPort()` Get the server local port
`int` | `getPort()` Get this server port number.
`ObservableProperties` | `getProperties()` Get this server properties.
`int` | `getRequestTimeOut()` Get the request allowed time slice from the properties.
`ResourceSpace` | `getResourceSpace()` Get this server resource space.
`ResourceStoreManager` | `getResourceStoreManager()` Get the Resource store manager of this server
`FramedResource` | `getRoot()` Get the server current root resource.
`java.io.File` | `getRootDirectory()` Get this server root directory.
`java.lang.String` | `getSoftware()` Get the server software string.
`java.io.File` | `getStoreDirectory()` Get this server store directory.
`java.io.File` | `getTempDirectory()` Get temp directory
`java.lang.String` | `getTrashDirectory()` Get the tracsh directory
`java.net.URL` | `getURL()` Get the server URL.
`ResourceReference` | `loadResource(java.lang.String name)` Lookup in the root entry for some resource.
`ResourceReference` | `loadRoot(java.lang.String name)` Dynamically change the root resource for the server.
`ReplyInterface` | `perform(RequestInterface request)` Perform the given request on behalf of this server.

Methods inherited from interface org.w3c.jigsaw.daemon.ServerHandler
`clone, errlog, getConfigResource, getIdentifier, getInetAddress, initialize, log, shutdown, start, trace`

Method Detail

### errlog

    public void errlog(Resource from,
                       java.lang.String msg)

  Another nice way of reporting errors from a Resource.

  Parameters:
    `from` - The resource that trigered the error.
    `msg` - The error message.

### loadResource

    public ResourceReference loadResource(java.lang.String name)

  Lookup in the root entry for some resource.

  Parameters:
    `name` - The name of the resource to lookup in the root entry.
  Returns:
    The loaded resource, or null.

### checkpoint

    public void checkpoint()

  Checkpoint all cached data, by saving them to disk.

### loadRoot

    public ResourceReference loadRoot(java.lang.String name)

  Dynamically change the root resource for the server. This is kind a dangerous operation !

  Parameters:
    `name` - The name of the new root resource, to be found in the root entry.
  Returns:
    The new installed root resource, or null if we couldn't load the given resource.

### getProperties

    public ObservableProperties getProperties()

  Get this server properties.

### checkFileSystemSensitivity

    public boolean checkFileSystemSensitivity()

  Is the underlying file-system case sensitive ?

  Returns:
    A boolean, true if file system is case sensitive, false otherwise.

### getDocumentationURL

    public java.lang.String getDocumentationURL()

  Get the full URL of Jigsaw's documentation.

  Returns:
    A String encoded URL.

### getTrashDirectory

    public java.lang.String getTrashDirectory()

  Get the tracsh directory

### getClientDebug

    public boolean getClientDebug()

  Get the client's debug flags from the properties.

### getClientKeepConnection

    public boolean getClientKeepConnection()

  Does this server wants clients to try keeping connections alive ?

### getRequestTimeOut

    public int getRequestTimeOut()

  Get the request allowed time slice from the properties.

### getConnectionTimeOut

    public int getConnectionTimeOut()

  Get the connection allowed idle time from the properties.

### getClientThreadPriority

    public int getClientThreadPriority()

  Get the client's threads priority from the properties.

### getClientBufferSize

    public int getClientBufferSize()

  Get the client's buffer size.

### getHost

    public java.lang.String getHost()

  Get this server host name.

### getPort

    public int getPort()

  Get this server port number.

### getRoot

    public FramedResource getRoot()

  Get the server current root resource.

### getURL

    public java.net.URL getURL()

  Get the server URL.

### getSoftware

    public java.lang.String getSoftware()

  Get the server software string.

### getLocalPort

    public int getLocalPort()

  Get the server local port

### getRootDirectory

    public java.io.File getRootDirectory()

  Get this server root directory.

### getConfigDirectory

    public java.io.File getConfigDirectory()

  Get this server config directory.

### getAuthDirectory

    public java.io.File getAuthDirectory()

  Get this server authentication directory.

### getStoreDirectory

    public java.io.File getStoreDirectory()

  Get this server store directory.

### getIndexerDirectory

    public java.io.File getIndexerDirectory()

### getTempDirectory

    public java.io.File getTempDirectory()

  Get temp directory

### getIndexersCatalog

    public IndexersCatalog getIndexersCatalog()

### getResourceSpace

    public ResourceSpace getResourceSpace()

  Get this server resource space.

### getDefaultContext

    public ResourceContext getDefaultContext()

  Get the default resource context for that server.

### getResourceStoreManager

    public ResourceStoreManager getResourceStoreManager()

  Get the Resource store manager of this server

### perform

    public ReplyInterface perform(RequestInterface request)
                           throws ProtocolException,
                                  ResourceException

  Perform the given request on behalf of this server.

  Parameters:
    `request` - The request to perform.
  Returns:
    A non-null Reply instance.
  Throws:
    `ProtocolException` - If some error occurs during processing the request.
    `ResourceException` - If some error not relative to the protocol occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD